Open CASCADE Technology: TObj_ObjectIterator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TObj_ObjectIterator Class Reference

`#include <TObj_ObjectIterator.hxx>`

Inheritance diagram for TObj_ObjectIterator:
[legend]

## Public Member Functions
virtual Standard_Boolean | More () const
| Returns True if iteration is not finished and method Current() will give the object. Default implementation returns False. More...
virtual void | Next ()
| Iterates to the next object Default implementation does nothing. More...
virtual Handle< TObj_Object > | Value () const
| Returns current object (or null if iteration has finished) Default implementation returns null handle. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

This class provides an iterator by objects in a partition. (implements TObj_ObjectIterator interface)

## Member Function Documentation

virtual Standard_Boolean TObj_ObjectIterator::More | ( |  | ) | const
| virtual

Returns True if iteration is not finished and method Current() will give the object. Default implementation returns False.

Reimplemented in TObj_LabelIterator, TObj_SequenceIterator, and TObj_ModelIterator.

virtual void TObj_ObjectIterator::Next | ( |  | ) |
| virtual

Iterates to the next object Default implementation does nothing.

Reimplemented in TObj_LabelIterator, TObj_SequenceIterator, and TObj_ModelIterator.

virtual Handle< TObj_Object > TObj_ObjectIterator::Value | ( |  | ) | const
| virtual

Returns current object (or null if iteration has finished) Default implementation returns null handle.

Reimplemented in TObj_LabelIterator, TObj_SequenceIterator, and TObj_ModelIterator.

The documentation for this class was generated from the following file:

- TObj_ObjectIterator.hxx